Bug 228872 - CTRL+C should send "Artist - Title" to clipboard
Summary: CTRL+C should send "Artist - Title" to clipboard
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-28 12:18 UTC by Stefan Fuchs
Modified: 2014-05-21 10:42 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Fuchs 2010-02-28 12:18:54 UTC
Version:            (using KDE 4.3.5)
OS:                Linux
Installed from:    Debian testing/unstable Packages

Hi,

I'm missing an old function from Amarok 1.4. IIRC hitting ctrl+c sent the information "Artist - Title" to the clipboard, so I could paste it some place else. I'd love to have this feature back in Amarok 2.

Cheers,
Stefan
Comment 1 Kevin Funk 2010-02-28 12:57:21 UTC
Just a note: If at all, and for consistency, this should rather copy the file URL instead of metadata.
Comment 2 Stefan Fuchs 2010-03-01 03:58:16 UTC
To bad. I really liked this feature back in the old days.
Comment 3 Mark Kretschmann 2013-06-30 11:54:23 UTC
Git commit 684a218b3e223a3189b7290df90e6b22f52a514a by Mark Kretschmann, on behalf of fleissig fleissig.
Committed on 30/06/2013 at 10:19.
Pushed by markey into branch 'master'.

Make Ctrl+C copy the currently playing artist & title to clipboard.
FIXED-IN: 2.8
REVIEW: 111275

M  +2    -0    ChangeLog
M  +22   -0    src/MainWindow.cpp
M  +1    -0    src/MainWindow.h

http://commits.kde.org/amarok/684a218b3e223a3189b7290df90e6b22f52a514a
Comment 4 Mark Kretschmann 2013-08-18 14:35:46 UTC
Git commit c6d9f246383def39aecdd0f62c1354d0b164cec6 by Mark Kretschmann.
Committed on 18/08/2013 at 14:32.
Pushed by markey into branch 'master'.

Ctrl-C works again when there is text selected in Amarok.

Amarok now checks if the clipboard content is owned by Amarok itself.
In this case Ctrl-C will work just like expected, copying the selection
to the clipboard. If it's not owned by Amarok, the currently playing
artist and album is copied to the clipboard.

BACKPORT
Related: bug 323644

M  +2    -0    ChangeLog
M  +3    -2    src/MainWindow.cpp

http://commits.kde.org/amarok/c6d9f246383def39aecdd0f62c1354d0b164cec6
Comment 5 Mark Kretschmann 2013-08-22 14:54:07 UTC
Git commit a1a90d09bca60d752542fb6412930fe1c2caf17b by Mark Kretschmann.
Committed on 22/08/2013 at 10:14.
Pushed by markey into branch 'master'.

Revert "Ctrl-C works again when there is text selected in Amarok."

This reverts commit c6d9f246383def39aecdd0f62c1354d0b164cec6.
The patch was not working, sorry.
Related: bug 323644

M  +0    -2    ChangeLog
M  +2    -3    src/MainWindow.cpp

http://commits.kde.org/amarok/a1a90d09bca60d752542fb6412930fe1c2caf17b
Comment 6 vedant agarwala 2014-05-21 10:24:49 UTC
Git commit 3500478880b19ba984b4f356d63cffe43cfb648f by Vedant Agarwala, on behalf of Mark Kretschmann.
Committed on 18/08/2013 at 14:32.
Pushed by vedanta into branch 'tagguessing'.

Ctrl-C works again when there is text selected in Amarok.

Amarok now checks if the clipboard content is owned by Amarok itself.
In this case Ctrl-C will work just like expected, copying the selection
to the clipboard. If it's not owned by Amarok, the currently playing
artist and album is copied to the clipboard.

BACKPORT
Related: bug 323644

M  +2    -0    ChangeLog
M  +3    -2    src/MainWindow.cpp

http://commits.kde.org/amarok/3500478880b19ba984b4f356d63cffe43cfb648f
Comment 7 vedant agarwala 2014-05-21 10:42:22 UTC
Git commit 3d4fc6bd692b3fdedae1bbcaac9fb0690baae2c0 by Vedant Agarwala, on behalf of Mark Kretschmann.
Committed on 22/08/2013 at 10:14.
Pushed by vedanta into branch 'tagguessing'.

Revert "Ctrl-C works again when there is text selected in Amarok."

This reverts commit c6d9f246383def39aecdd0f62c1354d0b164cec6.
The patch was not working, sorry.
Related: bug 323644

M  +0    -2    ChangeLog
M  +2    -3    src/MainWindow.cpp

http://commits.kde.org/amarok/3d4fc6bd692b3fdedae1bbcaac9fb0690baae2c0